live-installer (2026.04.15) unstable; urgency=medium

  * partitioning: Print error messages to stdout
  * partitioning: Swapoff any partition before full format
  * partitioning: Fix errors not showing up
  * grub: Only install needed packages and don't hardcode their path

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Apr 2026 10:34:47 +0100

live-installer (2026.04.14) unstable; urgency=medium

  * l10n: Update translations
  * Fix deprecation warning on idle_add
  * Remove unused imports
  * Rename function
  * Simplify error handling
  * Fix deprecation warnings
  * Fix syntax warnings
  * Print expected live-medium path when not found
  * Detect Mint even when base-files isn't patched.
  * Detect Mint/LMDE grub adjustment script

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 Apr 2026 18:36:20 +0100

live-installer (2025.10.12) gigi; urgency=medium

  * partitioning: Add an empty mount point option

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Sep 2025 15:11:12 +0100

live-installer (2025.10.11) gigi; urgency=medium

  [ Michael Webster ]
  * Add WEBKIT_DISABLE_COMPOSITING_MODE=1 to live-installer and oem config.
  * language selection: Fix auto-scrolling position for pre-selected language.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Sep 2025 17:09:47 +0100

live-installer (2025.10.10) gigi; urgency=medium

  * Update banner background color

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Sep 2025 12:25:29 +0100

live-installer (2025.10.08) gigi; urgency=medium

  [ Michael Webster ]
  * oem-config: Detect hidpi mode (#168)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Sep 2025 18:05:28 +0100

live-installer (2025.10.05) gigi; urgency=medium

  * Add .gitignore
  * deps: remove sysv-rc
  * Don't localize the first page
  * l10n: Apply selected language to label
  * l10n: Fix missing translations
  * l10n: Simplify msgids
  * l10n: Update translations
  * Mint: Don't hardcode casper/live paths
  * Mint: Don't hardcode distribution info
  * OEM: Apply the GTK theme to root
  * OEM: Don't refer to fonts in the SVG
  * OEM: Don't show window controls in oem-config mode
  * OEM: Don't touch plymouth in oem-config mode
  * OEM: Fix localization
  * OEM: Give oem-config a different splash screen
  * OEM: Launch a terminal when Ctrl+T is pressed
  * OEM: Only remove live packages after oem-config is done
  * OEM: Set the GTK and icon themes
  * Only mount the live media in live mode
  * Remove unused content

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 16:58:33 +0100

live-installer (2025.03.25) gigi; urgency=medium

  * l10n: Update translations
  * Remove test-slideshow (obsolete)
  * Switch to Webkit2 4.1
  * Keyboard layout: Don't use a spinner animation
  * Keyboard layout: Switch from Qt to PIL
  * Move constant to the right python file
  * Reorganize code files
  * Start implementing OEM mode
  * OEM: Add an X session which calls the installer in oem-config mode
  * OEM: Implement oem-mode
  * OEM: Start implementing oem-config
  * OEM: Implement oem-config

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Mar 2025 12:05:59 +0000

live-installer (2023.09.19.2) faye; urgency=medium

  * partitioning: Handle exceptions differently for getDevice() and Disk()

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Sep 2023 15:54:33 +0100

live-installer (2023.09.19.1) faye; urgency=medium

  * partitioning: Exclude empty devices

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Sep 2023 15:33:46 +0100

live-installer (2023.09.19) faye; urgency=medium

  * Remove leftover print statement
  * Don't install microcode pkgs
  * Remove unused code

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Sep 2023 09:57:45 +0100

live-installer (2023.09.18) faye; urgency=medium

  * UI: Fix "Next" button label when the back button is pressed.
  * partitioning: Refactor get_disks()
  * partitioning: Exclude eMMC hardware devices

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Sep 2023 12:09:17 +0100

live-installer (2023.09.15) faye; urgency=medium

  * expert mode: Don't let user press Next if /target is not mounted

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Sep 2023 10:49:20 +0100

live-installer (2023.09.14) faye; urgency=medium

  * live-installer-expert-mode: Call live-installer shell script
  * live-installer: Don't accept to be run without sudo
  * installer: support /casper path to find the squashfs file
  * interface: Use white dots
  * UI: Show a dialog when the medium is not found

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Sep 2023 17:15:01 +0100

live-installer (2023.09.08) faye; urgency=medium

  * Rephrase live media eject msg

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Sep 2023 11:32:19 +0100

live-installer (2023.09.07) faye; urgency=medium

  * Inject eject message within plymouth theme
  * partitioning: Include parted.getDevice() in the try/catch
  * partitioning: Add an edit button
  * l10n: Update POT
  * partitioning: Fix HTML partition preview wrapping

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Sep 2023 14:53:00 +0100

live-installer (2023.08.24.1) faye; urgency=medium

  * Fix title

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Aug 2023 20:43:03 +0100

live-installer (2023.08.24) faye; urgency=medium

  * Revert "Don't install microcode pkgs"
  * Fix installation of iucode-tool

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Aug 2023 10:30:03 +0100

live-installer (2023.08.23.1) faye; urgency=medium

  * Don't install microcode pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 16:27:55 +0100

live-installer (2023.08.23) faye; urgency=medium

  * frontend: Update title
  * adduser: Use --disabled-password

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 11:40:39 +0100

live-installer (2023.08.19) faye; urgency=medium

  [ Clement Lefebvre ]
  * Fix locale flags in HiDPI

  [ Michael Webster ]
  * Fix a few problems with passwords, usernames and hostnames.

  [ Clement Lefebvre ]
  * LUKS: Add discard option in crypttab
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 19 Aug 2023 17:41:00 +0200

live-installer (2022.03.12) elsie; urgency=medium

  * l10n: Fix a few errors

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Mar 2022 11:06:02 +0000

live-installer (2022.03.11.1) elsie; urgency=medium

  [ Michael Webster ]
  * Install: Sort the partition list from toplevel down, so descendants are mounted properly.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Mar 2022 19:59:10 +0000

live-installer (2022.03.11) elsie; urgency=medium

  [ Michael Webster ]
  * Disable context menu in the partition webview.

  [ Butterfly ]
  * Fix missing translation (Copying) (#129)
  * Update makepot for interface.ui (#130)

  [ Clement Lefebvre ]
  * Disable context menu in the partition webview (via webkit)
  * l10n: Update POT + fixes
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Mar 2022 13:58:39 +0000

live-installer (2022.02.16.1) elsie; urgency=medium

  * Grub: Purge grub-pc before installing grub-efi-amd64

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Feb 2022 21:41:06 +0000

live-installer (2022.02.16) elsie; urgency=medium

  * Revert "Bring back eject script"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Feb 2022 14:47:39 +0000

live-installer (2022.02.15) elsie; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * Bump debhelper version to quiet warnings and drop python2 build dep.
  * installer: handle special characters in passwords better.
  * Mount/unmount efivars
  * Make sure /target gets unmounted.
  * Allow editing of swap properties.
  * Write to a tempfile in /dev/shm (ram) instead of /tmp.
  * interface: Validate the user and media setup pages whenever there is user input.
  * Don't disable the next button when manual paritioning is selected.

  [ Clement Lefebvre ]
  * Allow short passwords
  * l10n: Update POT
  * Bring back eject script
  * fstab: Mark /boot and /boot/efi as fsck=1 in manual mode
  * EFI: Purge grub-pc after install grub-efi
  * Languages: Skip languages which code isn't defined in ISO standard
  * Languages: Skip locales with no countries
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Feb 2022 17:12:37 +0000

live-installer (2022.02.08) elsie; urgency=medium

  * dialogs: Remove obsolete btrfs subvolume warnings
  * Debug mode: Generate dummy fstab, mtab and crypttab files
  * Installer: Fix dedicated home detection
  * Timezones: Make the map look better

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Feb 2022 13:47:41 +0000

live-installer (2022.02.04.1) elsie; urgency=medium

  * Partitioning: Clean up filesystem choices
  * Rework Btrfs support

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Feb 2022 14:00:08 +0000

live-installer (2022.02.04) elsie; urgency=medium

  * Don't kill the screensaver
  * Remove shutdown eject script
  * Partitioning: Wipe previous LVM groups before full format

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Feb 2022 11:04:10 +0000

live-installer (2022.02.03.1) elsie; urgency=medium

  * Disk encryption: Only calculate UUID after the partitions are created

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Feb 2022 13:25:19 +0000

live-installer (2022.02.03) elsie; urgency=medium

  * User page: Don't switch focus while validating

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Feb 2022 12:55:30 +0000

live-installer (2022.02.02) elsie; urgency=medium

  * Fix key combo in keyboard layout switch label
  * l10n: Update POT
  * UI: Make window fit in 1024x768
  * UI: Fix Partitioning webview bg color
  * Partitioning: Fix naming scheme for eMMC devices
  * User page: Rework form validation
  * Partitioning: Use UUID with LVM
  * Fix indentation
  * Partitioning dialog: Fix icon

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Feb 2022 16:34:49 +0000

live-installer (2022.01.24) elsie; urgency=medium

  * Language list: Clean up country/language names
  * Switch to circle-flags-svg
  * Update Mint logo
  * Update the welcome screen
  * Update the UI
  * Remove unused loading.gif
  * Remove unused icons
  * UI: Update timezone map
  * UI: Tune map and keyboard layout

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Jan 2022 15:56:47 +0000

live-installer (2022.01.19) elsie; urgency=medium

  * Launchers: Bring back -O option

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Jan 2022 17:21:06 +0000

live-installer (2022.01.18) elsie; urgency=medium

  [ Christophe Godart ]
  * Don't install EFI packages if "Install GRUB" is not checked

  [ Clement Lefebvre ]
  * Keyboard layouts: Use super+space to switch layouts
  * l10n: Update translations
  * l10n: Update translations
  * Migrate to Python3 (#119)
  * Timezones: Clean up code and resources

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jan 2022 13:29:05 +0000

live-installer (2020.03.13) debbie; urgency=medium

  [ Clement Lefebvre ]
  * LUKS: Make use of badblocks optional
  * l10n: Update POT

  [ Michael Webster ]
  * user creation page: Add a placeholder to the checkmark column so the checks don't push all of the content to the left when they appear.

  [ Clement Lefebvre ]
  * Timezone: Give button box a spread layout
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Mar 2020 11:32:03 +0000

live-installer (2020.03.09) debbie; urgency=medium

  * Fix padding in timezone and slideshow

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Mar 2020 13:00:53 +0000

live-installer (2020.03.07) debbie; urgency=medium

  * Virtualbox: Fix XDG Autostart file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Mar 2020 12:30:33 +0000

live-installer (2020.03.06.1) debbie; urgency=medium

  * Virtualbox: Bump live resolution to a minimum of 1024x768px

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Mar 2020 12:08:15 +0000

live-installer (2020.03.06) debbie; urgency=medium

  [ Clement Lefebvre ]
  * Remove obsolete code

  [ Michael Webster ]
  * timezones: Split timezone selection into two menus - menu scrolling only works for the 'primary' menu, not submenus, so the continents are one menu, zones inside each continent in the other.
  * Add some padding around the floating time label in the timezone map.
  * timezones: Move the center of the label to the target location instead of the upper left corner.

  [ Clement Lefebvre ]
  * Partitioning: Improve failure detection when making label and partitions
  * l10n: Update POT
  * Install microcode packages
  * EFI: Don't create EFI\linuxmint
  * live-installer-stop: Suppress most errors during post-install reboot
  * Expert mode: Fixed Next button not visible during pause
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Mar 2020 10:29:54 +0000

live-installer (2020.03.04) debbie; urgency=medium

  * Partitioning: Wait up to 5s for newly created device to appear before formatting
  * GPT: Install signed shim and grub packages

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Mar 2020 10:02:01 +0000

live-installer (2020.02.28) debbie; urgency=medium

  * Automatic partitioning: Fix NVME support
  * Add translations to core package
  * l10n: Replace hostname with computer's name.
  * l10n: Rename dialog titles
  * UI: User page, focus appropriate widget when a new entry is needed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 28 Feb 2020 10:25:12 +0000

live-installer (2020.02.13) debbie; urgency=medium

  * l10n: Update POT
  * Automated install: Fix hardcoded references to /dev/sda

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Feb 2020 16:17:32 +0000

live-installer (2020.02.12.1) debbie; urgency=medium

  * More fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Feb 2020 16:16:40 +0000

live-installer (2020.02.12) debbie; urgency=medium

  * Few more fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Feb 2020 14:51:14 +0000

live-installer (2020.02.11.1) debbie; urgency=medium

  * Various fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Feb 2020 16:42:38 +0000

live-installer (2020.02.11) debbie; urgency=medium

  * Fix wrong live mount points
  * Add support for LUKS and LVM in the UI
  * Refactor installer and setup classes
  * Installer: Remove unused support for alternative DMs
  * More refactoring
  * Installer: Add initial support for automated install, LUKS and LVM
  * UI: Make it clearer that LVM is required for LUKS
  * Small fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Feb 2020 15:09:56 +0000

live-installer (2020.02.04) debbie; urgency=medium

  [ Michael Webster ]
  * keyboard layout: Base hidpi processing on gtk's scale state instead of letting QT5 do it itself.
  * interface.ui: Make adjustments to reduce the required window height.
  * gtk_interface.py: Change the EFI minimum size  to 35mb (this matches ubiquity).

  [ Clement Lefebvre ]
  * UI: Expand installation footer
  * live-installer-stop: Don't rely on plymouth to show the message
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 16:24:10 +0000

live-installer (2020.01.31) debbie; urgency=medium

  * NVIDIA: Install in chroot and cleanup /target

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Jan 2020 09:59:10 +0000

live-installer (2020.01.30) debbie; urgency=medium

  [ Michael Webster ]
  * Render keyboard layout properly in hidpi.
  * gtk_interface.py: Use a spinning widget instead of a gif when loading a keyboard layout.
  * interface.ui: Keep the space for the non-latin warning label reserved, so when the label is shown, it doesn't resize the scroll boxes.

  [ Clement Lefebvre ]
  * NVIDIA driver: Add systemd support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Jan 2020 17:37:56 +0000

live-installer (2020.01.29) debbie; urgency=medium

  * Add support for home directory encryption
  * Fix killing screensaver
  * Mount /run during the installation
  * File copy: Add missing / in file path given to the UI
  * Don't test squashfs presence in debug mode
  * Add home directory encryption option to UI
  * live-installer-stop: Fix ISO mount point
  * Remove memtest86+ before updating grub

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jan 2020 11:31:33 +0000

live-installer (2020.01.27) debbie; urgency=medium

  * Remove config file
  * Cleanup test script
  * Detect live path before starting the installer.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jan 2020 11:31:25 +0000

live-installer (2020.01.21) debbie; urgency=medium

  * Language list: Ellipsize, resizable columns
  * User page: Fix checks visible by default
  * Keyboard page: Ellipsize combo
  * Add grid lines to treeviews

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jan 2020 11:25:03 +0000

live-installer (2020.01.17) debbie; urgency=medium

  * UI: Reorganize glade vbox widgets
  * Remove webcam/avatar selection
  * Languages: Sort by language and fix defaults for geoip
  * UI overhaul
  * Import Mint slideshow
  * Fix i18n switch
  * Use Ubuntu font in keymap png
  * Remove fullscreen mode
  * Remove obsolete code
  * Fix expert mode and give it its own argument/command

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jan 2020 16:12:34 +0000

live-installer (2020.01.15) debbie; urgency=medium

  * Adjust grub title
  * Launcher: Replace gksu with sudo
  * Fix slideshow and partitions preview

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Jan 2020 16:45:10 +0000

live-installer (2020.01.14) debbie; urgency=medium

  [ aja ]
  * Add support for btrfs subvolumes (#94)

  [ Clement Lefebvre ]
  * Switch to python-pil and webkit2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 Jan 2020 10:08:00 +0000

live-installer (2018.08.28) cindy; urgency=medium

  * Partitioning: Don't skip partitions with negative size

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Aug 2018 14:14:39 +0200

live-installer (2018.08.14.1) cindy; urgency=medium

  * show_error_dialog: Set flag after showing the dialog

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 Aug 2018 15:13:30 +0200

live-installer (2018.08.14) cindy; urgency=medium

  * Fix a few race conditions

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 Aug 2018 14:59:08 +0200

live-installer (2018.08.13) cindy; urgency=medium

  * live-installer-stop: Fix case where mounted device has a partition number

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Aug 2018 14:25:51 +0200

live-installer (2018.08.08) cindy; urgency=medium

  [ Clement Lefebvre ]
  * Don't kill the screensaver in debug mode

  [ Alexander Ryabov ]
  * Adding layout for non-latin choises to target (#88)
  * Additional layout in live-session for non-latin choises (#89)

  [ Clement Lefebvre ]
  * Define a list of non-latin keyboard layouts
  * Test script needs to run live-installer with sudo
  * l10n: Fix language treeview column titles
  * Don't set keyboard layout in debug mode
  * Pre-fill user details in debug mode
  * Fix partition edit window
  * Fix mount point selection in partition edit dialog
  * Fix btrfs missing in file formats
  * Don't error out when a disk cannot be formatted.
  * l10n: Fix partition buttons and language page title
  * Use -f option when formatting with btrfs
  * Fix non-latin keyboard selection
  * Add bn to non-latin keyboard layouts
  * l10n: Replace stock widgets
  * Add gn to non-latin layouts
  * l10n: Add dialogs.py to POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 Aug 2018 11:07:46 +0200

live-installer (2018.07.28.1) cindy; urgency=medium

  * Delete root password

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Jul 2018 16:20:19 +0200

live-installer (2018.07.28) cindy; urgency=medium

  * Add a postinst to enable the systemd service

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Jul 2018 11:44:05 +0200

live-installer (2018.07.27.2) cindy; urgency=medium

  * Don't set the root password, lock it.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jul 2018 15:34:02 +0200

live-installer (2018.07.27.1) cindy; urgency=medium

  * Add live-installer-stop and its systemd service
  * Add missing systemd service

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jul 2018 14:57:06 +0200

live-installer (2018.07.27) cindy; urgency=medium

  * Include slideshow in debug mode
  * Fix unicode errors in Russian

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jul 2018 10:42:54 +0200

live-installer (2018.07.19) cindy; urgency=medium

  * Fix slideshow

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jul 2018 16:20:19 +0200

live-installer (2018.07.13) cindy; urgency=medium

  * Fix timezone

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Jul 2018 11:39:58 +0200

live-installer (2018.07.12.1) cindy; urgency=medium

  * LightDM: Don't hide user list by default

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Jul 2018 14:01:25 +0200

live-installer (2018.07.12) cindy; urgency=medium

  * Grub check: Accept LMDE menuentry

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Jul 2018 11:58:36 +0200

live-installer (2018.02.16.2) cindy; urgency=medium

  * Fix named args in decorator
  * Use rsync to copy files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Feb 2018 17:56:25 +0000

live-installer (2018.02.14) cindy; urgency=medium

  * Custom install: Fix https://bugs.launchpad.net/linuxmint/+bug/1223631
  * Migrate to GTK3
  * Fix parsing countries/locales with newer ISO standards
  * Fix erros in Glade file
  * Fixes in partitioning/timezones
  * Improve multithreading
  * Happy Valentine's ;)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Feb 2018 18:28:20 +0000

live-installer (2017.01.15) betsy; urgency=medium

  * Remove live config leftovers

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 15 Jan 2017 16:19:11 +0000

live-installer (2017.01.09) betsy; urgency=medium

  * Fix crash when user refuses to initiate a blank HDD

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Jan 2017 17:03:37 +0000

live-installer (2017.01.08) betsy; urgency=medium

  [ Kernc ]
  * Use streamer instead of OpenCV for webcam face capture
  * Test for /dev/video* to see if webcam exists & crop image to rect

  [ Ali Rıza KESKİN ]
  * Update installer.py

  [ Clement Lefebvre ]
  * Unbrand icon
  * Fix icon changes

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 08 Jan 2017 17:12:34 +0000

live-installer (2015.09.19) betsy; urgency=medium

  * Partitioning: Don't read flags on inactive partitions

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 19 Sep 2015 11:19:03 +0100

live-installer (2015.09.18) betsy; urgency=medium

  * Improved partition detection, don't rely on gdisk to detect EFI System Partition (as it can potentially hang until the user presses Enter in the terminal...#cough)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Sep 2015 13:32:42 +0100

live-installer (2015.09.15) betsy; urgency=medium

  * Add more traces in the partition detection step

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Sep 2015 14:34:46 +0100

live-installer (2015.09.03) betsy; urgency=medium

  * Fixed crash when user inputs Windows+Space in real name entry
  * Add more traces in partitioning step (we're facing a hang issue, so we need more info/feedback)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Sep 2015 10:46:12 +0100

live-installer (2015.03.23.1) betsy; urgency=medium

  * Don't hang when formating ext partitions (Upstream changed the behaviour of mkfs.ext2|3|4. It now asks for a confirmation unless -F is used.)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Mar 2015 13:16:23 +0100

live-installer (2015.03.20) betsy; urgency=medium

  * Multiple fixes in partitions detection:  - Don't crash when blkid returns empty model info  - Don't crash when blkid returns size unit "K" instead of "k"  - Ignore malformed blkid output or device info we can't parse  - Ignore /dev/fd0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 Mar 2015 15:24:56 +0100

live-installer (2015.03.05) betsy; urgency=medium

  * Don't add non-mounted partitions to fstab

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Mar 2015 16:13:55 +0100

live-installer (2015.03.02.1) betsy; urgency=medium

  * Updated GRUB detection to work on adjusted OS

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Mar 2015 10:46:29 +0100

live-installer (2015.03.02) betsy; urgency=medium

  * Perform OS adjustments prior to updating grub

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Mar 2015 10:39:53 +0100

live-installer (2015.02.25.1) betsy; urgency=medium

  * Fixed more l10n regressions

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Feb 2015 13:09:45 +0100

live-installer (2015.02.25) betsy; urgency=medium

  * Improved partitioning buttons
  * Fixed regressions in l10n
  * Fixed more l10n regressions..
  * l10n fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Feb 2015 11:18:06 +0100

live-installer (2015.02.24) betsy; urgency=medium

  * Updated gettext translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Feb 2015 14:55:16 +0100

live-installer (2015.02.19) betsy; urgency=medium

  * Fixed slideshow, updated slideshow content, removed unused l10n slideshow and its package definition

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Feb 2015 14:25:59 +0100

live-installer (2015.02.16) betsy; urgency=medium

  * Fixed regression making the installer crash when no language is selected

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Feb 2015 23:40:03 +0100

live-installer (2015.01.31) betsy; urgency=medium

  * Fixed bugs detected in EFI/GPT mode and/or with blank HDDs
  * EFI: Fixed missing libefivar0 dependency on efibootmgr
  * Fixed an issue in debug mode (litterals can contain , instead of . chars in some locales)
  * Removed border around keyboard layout picture

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 31 Jan 2015 17:56:50 +0100

live-installer (2015.01.30) betsy; urgency=medium

  * Fixed regressions
  * Exclude live device in partitioning step
  * Added detection of Mac OS X
  * Fixed partition rendering not fitting horizontally
  * Give realname entry focus when switching to the user page
  * UI: Always center window / non-resizable, and get rid of the custom colors in the toolbar.
  * Updated path to penguin avatar
  * Replaced avatar selection with a PictureChooserButton
  * Install broadcom drivers when appropriate

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Jan 2015 16:19:11 +0100

live-installer (2015.01.29) betsy; urgency=medium

  [ Kernc ]
  * Grammar & style of i18n labels
  * Use isoquery for countries list
  * Use isoquery for languages list
  * Use system supported locales for language selection screen
  * Use custom flags for Esperanto and Interlingua
  * Make language selection list sortable by columns
  * Bump debian directory
  * Better debug and exception handling
  * Print locals() before entering pdb
  * HACK: Fix gettext line so that installer runs
  * Use __debug__ variable to check if --debug
  * Stop tracking ConfigObj and instead rely on Debian's
  * Sort first by Country, then by Language
  * Install gettext.translation based on locale else lang else English
  * Simplified timezone map pixel calculation
  * Gtk dialogs in a separate module
  * Show ErrorDialog on unhandled exception
  * Everything timezone in a separate module
  * Fixed many timezone cc.png colors
  * Replaced useradd with adduser, added more default groups
  * Replaced map radio-button-style dot with a red "maps" pin
  * Fixed wrong click-selection on tz map when installer resized
  * Preview current local time on timezone selection screen
  * Replace combobox with button and menus for timezone selection
  * New timezones background is a satellite image
  * Timezone map daylight overlay
  * More concise overview screen
  * Drop configobj dependency
  * Use geoip.ubuntu.com/lookup for country/timezone lookup
  * Allow installation to more than one drive
  * Moved everything partitioning related into partitioning module

  [ monsta ]
  * Slideshow: remove reference to non-existing file
  * Show autologin option value in the overview
  * Improve l10n a bit
  * Debug printing on autologin setting change (for consistency)
  * Build-depends on python to make lintian happy

  [ Clement Lefebvre ]
  * Fixed title in non-debug mode
  * Updated flags
  * Added flags for cw and ss
  * Language selection: when no translations are found, revert to English
  * Language selection: Sort by country by default
  * Language selection: Added support for countryless locales (Esperanto is now 'eo' for instance, no longer 'eo_US')
  * Fix small issues after latest merges
  * Small revert on a string in previous merge
  * Fixed confirmation dialog when closing the window
  * Replace \x20 with spaces in HDD names (output from lsblk)
  * UI improvements/fixes
  * Support LZMA compressed initrd

  [ Asier Iturralde Sarasola ]
  * Fixed a pair of typos

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 29 Jan 2015 14:22:18 +0100

live-installer (2014.02.27) debian; urgency=low

  * numerous fixes

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 Feb 2014 10:38:30 +0000

live-installer (2014.02.14) debian; urgency=low

  * l10n and efi fixes

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Feb 2014 11:49:43 +0000

live-installer (2014.02.13) debian; urgency=low

  * Update initrd at the end of the installation

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Feb 2014 10:29:26 +0000

live-installer (2014.02.10) debian; urgency=low

  * Additional fixes for VFAT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 10 Feb 2014 11:11:03 +0000

live-installer (2014.02.06.1) debian; urgency=low

  * Cosmetic fixes

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Feb 2014 14:46:43 +0000

live-installer (2014.02.06) debian; urgency=low

  * EFI fixes
  * Nicer looking partitions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Feb 2014 12:29:56 +0000

live-installer (2014.02.04) debian; urgency=low

  * New checkout :
  * [bd61c2a] End of installation : apt-get autoremove in chroot
  * [c39ba4e] Allow update custom initramfs
  * [76e5f97] Comment cdrom entry
  * [0662933] Fix perms
  * [ad2a9c5] Bump standard version
  * [6b30fa2] improve existing EFI system partition detection
  * [d6d47fc] 2Go swap if RAM > 2Go. Otherwise, swap = 1,5 * RAM size
  * [bd1cddc] Add 1mb free space
  * [069c29d] Bug fix: Allow legacy BIOS installation

 -- Frédéric Gaudet <fred@linuxmint.com>  Tue, 04 Feb 2014 13:24:10 +0100

live-installer (2014.01.31) debian; urgency=low

  * Bug fix: Allow legacy BIOS installation

 -- Frédéric Gaudet <fred@linuxmint.com>  Fri, 31 Jan 2014 10:40:24 +0100

live-installer (2014.01.28) debian; urgency=low

  * Improve EFI/GPT support
  * Don't allow EFI/GPT installation without an EFI system partition
  * Add postrm
  * Live: remove packages from filesystem-remove list file

 -- Frédéric Gaudet <fred@linuxmint.com>  Tue, 28 Jan 2014 11:04:40 +0100

live-installer (2014.01.13) debian; urgency=low

  * Add EFI support

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 13 Jan 2014 14:32:44 +0100

live-installer (2013.03.12) debian; urgency=low

  * Fix for non-editable mount patch in partition edit dialog

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Mar 2013 14:20:45 +0000

live-installer (2013.03.11) debian; urgency=low

  * Fix for special chars in password

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Mar 2013 13:27:01 +0000

live-installer (2013.02.25) debian; urgency=low

  * Fix for resolv.conf
  * Fix for special characters in password

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Feb 2013 10:57:27 +0000

live-installer (2013.01.15) debian; urgency=low

  * UI improvements

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Jan 2013 14:17:51 +0000

live-installer (2013.01.08) debian; urgency=low

  * Timezone map
  * Keyboard picture
  * Updates in slideshow
  * User picture selection and webcam photo

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Jan 2013 16:48:47 +0000

live-installer (2012.12.29) debian; urgency=low

  * Added, GDM/KDM support
  * Slideshow
  * UI improvements
  * Localize LibreOffice, KDE
  * Support for manual targets

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 29 Dec 2012 15:50:51 +0000

live-installer (2012.04.20.1) debian; urgency=low

  * Replaced GDM config with MDM config
  * Fixed formatting issues for JFS, XFS, BTRFS and a couple of other filesystems

 -- Clement Lefebvre <clem@mint>  Fri, 20 Apr 2012 10:20:38 +0100

live-installer (2011.09.07) debian; urgency=medium

  * Fix installer failing to localize firefox/thunderbird for locales which define country variants (pt_BR for instance)

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Sep 2011 11:12:00 +0000

live-installer (2011.09.05) debian; urgency=medium

  * Generate grub partitions in combo before showing the advanced page

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  1 Sep 2011 18:18:00 +0000

live-installer (2011.09.04) debian; urgency=medium

  * Create a 1MiB post-MBR gap in the partition table to accomodate Grub2
  * Align the end of the swap partition on the nearest cylinder

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  1 Sep 2011 17:18:00 +0000

live-installer (2011.09.03) debian; urgency=medium

  * Fixed, refresh partition table after creating it.

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  1 Sep 2011 14:55:00 +0000

live-installer (2011.09.02) debian; urgency=medium

  * Fixed self.column1 warning and activation of language by default
  * Fixed partition table question dialog not working
  * Fixed default partition setup - partition names

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  1 Sep 2011 13:18:00 +0000

live-installer (2011.09.01) debian; urgency=medium

  * Indentation bug fix in GTK frontend
  * Fixed warning message about missing column called by i18n()

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  1 Sep 2011 12:24:00 +0000

live-installer (2011.08.31) debian; urgency=medium

  * If the HDD has no partition table, create a default set of partitions
  * In /etc/fstab: Do not add partitions when their mount point is None
  * In /etc/fstab: Non-ext filesystems now use default mount options instead of ext specific ones
  * In /etc/fstab: Activate fsck flag for the root partition

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  31 Aug 2011 17:11:00 +0000

live-installer (2011.08.07) debian; urgency=medium

  * Allow all HDDs to be used by grub
  * Icons added to the top label
  * Selecting a language uses that language in the installer

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  07 Aug 2011 11:41:00 +0000

live-installer (2011.07.30) debian; urgency=medium

  * Don't fail when a partition cannot be unmounted
  * Don't try to unmount partitions which aren't mounted.. :)

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  30 Jul 2011 15:00:00 +0000

live-installer (2011.07.29.1) debian; urgency=medium

  * Single threaded partition builder
  * No more slideshow

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  29 Jul 2011 15:09:00 +0000

live-installer (2011.07.29) debian; urgency=medium

  * Renamed launcher file

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  29 Jul 2011 10:05:00 +0000

live-installer (2011.07.25) debian; urgency=medium

  * Remove live-boot and live-boot-initramfs-tools

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  25 Jul 2011 10:37:00 +0000

live-installer (2011.07.15.2) debian; urgency=medium

  * Latest version

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  15 Jul 2011 14:42:00 +0000

live-installer (2010.12.16.1) debian; urgency=medium

  * Better validation process for username, passwords and hostname

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Dec 2010 12:16:00 +0000

live-installer (2010.12.16) debian; urgency=medium

  * No default value for hostname

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Dec 2010 11:03:00 +0000

live-installer (2010.12.07) debian; urgency=medium

  * Make use of swap partitions
  * Grub can now be installed on partitions
  * System can now be installed on multiple devices

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  07 Dec 2010 10:58:00 +0000

live-installer (2010.09.05.4) debian; urgency=medium

  * Fixed use-case with /boot partition (grub check failing)

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  05 Sep 2010 17:03:00 +0000

live-installer (2010.09.05.3) debian; urgency=medium

  * Fixed mount problems when using multiple partitions

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  05 Sep 2010 13:29:00 +0000

live-installer (2010.09.05.1) debian; urgency=medium

  * Fixed exception when HDD is blank without a partition table

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  05 Sep 2010 11:51:00 +0000

live-installer (2010.09.05) debian; urgency=medium

  * Replaced commands call with os.system in APT cleaning step

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  05 Sep 2010 10:24:00 +0000

live-installer (2010.09.02.10) debian; urgency=medium

  * Filename error fixed

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  02 Sep 2010 18:18:00 +0000

live-installer (2010.09.02.3) debian; urgency=medium

  * Fixed code error

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  02 Sep 2010 17:59:00 +0000

live-installer (2010.09.02.2) debian; urgency=medium

  * Added 2 sec sleep before grub checks

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  02 Sep 2010 17:14:00 +0000
 
live-installer (2010.09.02.1) debian; urgency=medium

  * Retry mechanism for grub-mkconfig

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  02 Sep 2010 17:14:00 +0000

live-installer (2010.09.02) debian; urgency=medium

  * Fixed redraw problem in installer's partition screen
  * Improved usability with format/assign_partition dialog
  * Shade added to scroll area for timezones
  * Added Edit menu item in context menu in partitions table

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  02 Sep 2010 15:30:00 +0000

live-installer (2010.08.31) debian; urgency=medium

  * Fixed useradd with space chars in name 

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  31 Aug 2010 16:24:00 +0000

live-installer (2010.08.29.1) debian; urgency=medium

  * Better tracing  

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  28 Aug 2010 12:31:00 +0000

live-installer (2010.08.29) debian; urgency=medium

  * Better tracing  

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  28 Aug 2010 10:54:00 +0000
 
live-installer (2010.08.21) debian; urgency=medium

  * slideshow improvements
  * detects keyboard layout based on selected locale

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  21 Aug 2010 12:12:00 +0000

live-installer (2010.08.20.2) debian; urgency=medium

  * Generic detection for l10n (FF and thunderbird)

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  20 Aug 2010 18:04:00 +0000
 
live-installer (2010.08.20.1) debian; urgency=medium

  * locale and keyboard layout fixes

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  20 Aug 2010 16:41:00 +0000

live-installer (2010.08.20) debian; urgency=medium

  * Slideshow moved
  * No more forks
  * /etc/resolv.conf in chroot

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  20 Aug 2010 11:18:00 +0000

live-installer (2010.08.19) debian; urgency=medium

  * Slideshow
  * UI improvements
  * Localize Thunderbird and Firefox

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  19 Aug 2010 15:15:00 +0000

live-installer (2010.07.30.1) debian; urgency=medium

  * Timezone fix

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  30 Jul 2010 18:23:00 +0000

live-installer (2010.07.30) debian; urgency=medium

  * New version

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  30 Jul 2010 17:02:00 +0000

live-installer (1.0.5) debian; urgency=medium

  * Bug fix in update-locale

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  30 Jun 2010 21:23:00 +0000

live-installer (1.0.4) debian; urgency=medium

  * Apply locale in chroot

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  30 Jun 2010 21:23:00 +0000

live-installer (1.0.3) debian; urgency=medium

  * Use country for flags

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  30 Jun 2010 20:34:00 +0000

live-installer (1.0.2) debian; urgency=medium

  * Bug fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  30 Jun 2010 20:34:00 +0000

live-installer (1.0.1) debian; urgency=medium

  * Renaming

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  30 Jun 2010 14:02:00 +0000

live-installer (1.0.1) debian; urgency=medium

  * Bug fix regarding grub installation

 -- Ikey Doherty <contactjfreak@gmail.com>  Fri,  25 Jun 2010 23:25:00 +0000

live-installer (1.0.0) debian; urgency=low

  * Initial release

 -- Ikey Doherty <contactjfreak@gmail.com>  Wed,  16 Jun 2010 12:19:00 +0000

